Redmine - Feature #7079

Adding Holidays to Calendar
2010-12-08 15:11 - yasin kosar

Status: New Start date: 2010-12-08
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Calendar Estimated time: 0.00 hour
Target version:

Resolution:

Description

We want to show national holidays and Sundays with a different color in the calendar so that the user knows it is a holiday.
| tried to use "holidays.gem" to do that but yet i couldn't succeed.
We don't mean to use schedules plugin or any, we directly want to change the redmine calendar.

Related issues:

Related to Redmine - Feature #1459: Global Holidays calendar New 2008-06-16
Has duplicate Redmine - Feature #8323: User Calendar and holidays for Team Ma... Closed 2011-05-09
Has duplicate Redmine - Feature #22997: Administrative calendar Closed

History

#1 - 2010-12-15 22:57 - Jean-Baptiste Barth

| think it's not something everybody would use. Maybe it would be a good idea to put it into a plugin which would change the default calendar
behavior, don't you think ? I'd personally be interested in such a plugin, but have no time for implementing it now.

#2 - 2010-12-16 07:40 - yasin kosar
- % Done changed from 0 to 50

Thanks, you are right, it would be better not change redmine, but write a plugin. | changed redmine calendar a bit, and now i can see holidays in it. but
if i have time i may try to do it by a plugin as well.

#3 - 2011-06-18 08:21 - Terence Mill

Any news on this?

Would be great also to import "read only" via ical web urls to show this dates in redmine calendar, e.g sundays and work free days .. etc

#4 - 2011-06-18 08:22 - Terence Mill

+1

#5 - 2011-06-18 11:48 - Terence Mill

A very good user case description copied from forum entry

Objective
Provide the users with an ability to specify holidays and the application with an ability to determine working and non-working days

Motivations

There are several reasons to have multiple and customizable calendars in Redmine.

1. Accounting holidays is very important for project planning and activity tracking. Since holidays are country specific, the calendar should be
customizable (at Ul level) to accommodate local specifics

2. There are cases when some members or even entire enterprise or may work on a custom calendar (four-days week, for example)

3. Project members may reside in different countries and thus, working on different calendars. Therefore the application should be flexible enough to
capture and track all these nuances.

Use case identification
In the scope of this module the following use cases were identified:

1. Create/Edit a calendar

2. Apply one or more calendars in the Calendar View
3. Apply one or more calendars in the Gantt View

4. List all holidays for a given year

5. Determine if a given day is working or no
6. Set a calendar for a member or a group

Related materials

Forum Messages
http://www.redmine.org/boards/4/topics/19456
http://www.redmine.org/boards/1/topics/19134

Issues
#7079
#7011
#1459

Plugins/gems
https://github.com/alexdunae/holidays
http://www.redmine.org/plugins/worktime

#6 - 2011-06-19 21:53 - Terence Mill

There is a ready to use railsapp baed on jquery called full calendar - see demo

Its nearly to google calendar..

“FullCalendar” provides a full-sized, drag & drop calendar. It uses AJAX to fetch events on-the-fly for each month. It also supports an intuitive
interface to manage events that spans over multiple days or weeks. It is visually customizable and exposes hooks for user-triggered events (like
clicking or dragging an event.

Could be used and embedded in redmine for appointment management, meeting schedule and holidays.
#7 - 2011-06-20 13:19 - Terence Mill
This is a plugin which adds an ICS feed link to the calendar view

e related plugin
e related patch

#8 - 2011-06-20 13:19 - Terence Mill

This is a plugin which adds an ICS feed link to the calendar view

e related plugin
e related patch

#9 - 2012-02-13 12:31 - Eugene Hutorny

We are proud to announce Multi calendar plugin

#10 - 2012-02-13 13:37 - Roberto Viola

could you add some screenshot?
Thanks

#11 - 2012-02-13 16:24 - Terence Mill

Is it announcing good idea, right before there is any download to provide or is there any repository/download ur will provide?

#12 - 2012-02-14 02:49 - Martin Denizet (redmine.org team member)
Eugene Milan Hutorny
Same thing here, you did not provide any link. Where to get the plugin?

#13 - 2012-02-14 08:45 - Terence Mill

| vote to remove this plugin entry so far there is no binary/repo availabe.

#14 - 2012-02-15 12:04 - Eugene Hutorny

Link to the repo added,
Sorry for confusion, on Feb 13 we stuck with ssh authentication issue and therefore failed to submit repo same day.

#15 - 2012-02-15 12:59 - Terence Mill

Please add url "https://github.com/ksfltd/redmine_multi_calendar" as well/instead, for issues, overview, different git protocol sections.

#16 - 2012-02-15 16:23 - Eugene Hutorny

Added https://github.com/ksfltd/redmine_multi_calendar as homepage
https://www.redmine.org/issues/7079
www.redmine.org/plugins/redmine_multi_calendar
https://www.redmine.org/users/5895
https://github.com/ksfltd/redmine_multi_calendar

#17 - 2016-06-22 07:48 - Toshi MARUYAMA
- Has duplicate Feature #22997: Administrative calendar added
